# GraphPCA

GraphPCA is a novel graph-constrained, interpretable, and quasi-linear dimension-reduction method tailored for spatial transcriptomic data. It leverages the strengths of graphical regularization and Principal Component Analysis (PCA) to extract low-dimensional embeddings of spatial transcriptomes that integrate location information in linear time complexity. The substantial power boost enabled by GraphPCA fertilizes various downstream tasks of spatial transcriptomics data analyses and provides more precise insights into transcriptomic and cellular landscapes of complex tissues.![](./figures/workflow.png) 


# Software dependencies
numpy
pandas
matplotlib
scipy
scikit-learn
networkx
warnings
scanpy
squidpy

# installation
Install GraphPCA via PyPI by using:

```         shell
pip install st-graphpca
```

